%define	name	asteroids3D
%define	version	0.2.2
%define	release	7mdk
%define	Summary	A 3D, first-person game of blowing up asteroids

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade

Source:		%name-%version.tar.bz2

URL:		http://www.psc.edu/~smp/a3d/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	Mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q -n %name

%build
%make CC="gcc %optflags -O3"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D %buildroot/%{_gamesbindir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
                icon=arcade_section.png.png \
                needs="x11" \
                section="Amusement/Arcade" \
                title="Asteroids3D"\
                longtitle="%{Summary}"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (644,root,root,755)
%doc CHANGELOG COPYRIGHT README
%{_menudir}/%{name}
%defattr (755,root,root,755)
%{_gamesbindir}/%{name}

%changelog
* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-7mdk
- rebuild

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2-6mdk
- rebuild
- add menu item
- drop -ggdb from compile flags
- cleanups

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-5mdk
- rebuild

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-4mdk
- rebuild

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-3mdk
- BuildRequires: Mesa-common-devel
- Use Optimizations

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- change url

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- new in contribs
